org.apache.tinkerpop.gremlin.process.traversal.step.util

## Class WithOptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.WithOptions

-     public class WithOptions
      extends Object

  Configuration options to be passed to the `GraphTraversal.with(String, Object)`.
  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `all` Include all tokens.
    `static int` | `ids` Include ids (affects all `Element` value maps).
    `static String` | `indexer` Configures the indexer to be used in `IndexStep`.
    `static int` | `keys` Include keys (affects all `VertexProperty` value maps).
    `static int` | `labels` Include labels (affects all `Vertex` and `Edge` value maps).
    `static int` | `list` Index items using 2-item lists.
    `static int` | `map` Index items using a `LinkedHashMap`.
    `static int` | `none` Include no tokens.
    `static String` | `tokens` Configures the tokens to be included in value maps.
    `static int` | `values` Include keys (affects all `VertexProperty` value maps).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokens

          public static final String tokens

      Configures the tokens to be included in value maps.

    - #### none

          public static int none

      Include no tokens.

    - #### ids

          public static int ids

      Include ids (affects all `Element` value maps).

    - #### labels

          public static int labels

      Include labels (affects all `Vertex` and `Edge` value maps).

    - #### keys

          public static int keys

      Include keys (affects all `VertexProperty` value maps).

    - #### values

          public static int values

      Include keys (affects all `VertexProperty` value maps).

    - #### all

          public static int all

      Include all tokens.

    - #### indexer

          public static final String indexer

      Configures the indexer to be used in `IndexStep`.

    - #### list

          public static int list

      Index items using 2-item lists.

    - #### map

          public static int map

      Index items using a `LinkedHashMap`.

  - ### Constructor Detail

    - #### WithOptions

          public WithOptions()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.